package org.kde.koala;
import org.kde.qt.*;


/** {@link KURLLabel} emits these signals */
public interface KURLLabelSignals {
	void destroyed( QObject obj );

/** 
 Emitted when the mouse is no longer over the label.
   
*/
	void leftURL();

/** 
 Emitted when the user clicked the left mouse button on this label.
   
*/
	void middleClickedURL();

/** 
 Emitted when the user clicked the left mouse button on this label.
   
*/
	void leftClickedURL();

/** 
 Emitted when the user clicked the left mouse button on this label.
   
*/
	void rightClickedURL();

/** 
 Emitted when the mouse has passed over the label.
   
*/
	void enteredURL();
}

